
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BZOJ 3594 Scoi2014 方波波麦田 树阵 / 憋错料</title>

    <meta name="description" content="BZOJ 3594 Scoi2014 方波波麦田 树阵 标题效果:给定一个序列,能够选择k次每个部分的数量和在范围内+1,寻求操作后LIS最大值 我的做法是不是一个标准的解决方案. ..5E为什么跑飞的复杂性. . . 首先,显而易见的结论是,我们选择k右端点都是n时才干保证最优 知道这个我们就能够DP了- - 令f[i][j]表示前i个数上升j次的最大LIS 那么有f[i][j]=max{f[k][l]|k&lt;i,l&lt;=j,a[k]+l&lt;=a[i]+j}+1 看到三维偏序就能够用二维树状数组了- - 时间复杂度O(nklog(max ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">BZOJ 3594 Scoi2014 方波波麦田 树阵</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>标题效果：给定一个序列，能够选择k次每个部分的数量和在范围内&#043;1，寻求操作后LIS最大&#20540;</p>
<p>我的做法是不是一个标准的解决方案。</p>
<p>。。5E为什么跑飞的复杂性。</p>
<p>。</p>
<p>。</p>
<p>首先，显而易见的结论是，我们选择k右端点都是n时才干保证最优</p>
<p>知道这个我们就能够DP了- -</p>
<p>令f[i][j]表示前i个数上升j次的最大LIS</p>
<p>那么有f[i][j]=max{f[k][l]|k&lt;i,l&lt;=j,a[k]&#043;l&lt;=a[i]&#043;j}&#043;1</p>
<p>看到三维偏序就能够用二维树状数组了- -</p>
<p>时间复杂度O(nklog(max(ai)&#043;k)logk)</p>
<p>这复杂度跑的飞起真是醉了。。。</p>
<pre>#include &lt;cstdio&gt;
#include &lt;cstring&gt;
#include &lt;iostream&gt;
#include &lt;algorithm&gt;
#define M 10100
using namespace std;
int n,k,max_num,ans,a[M];
namespace BIT{
	int c[6060][550];
	void Update(int x,int y,int val)
	{
		int i,j;
		for(i=x;i&lt;=max_num+k;i+=i&amp;-i)
			for(j=y;j&lt;=k+1;j+=j&amp;-j)
				c[i][j]=max(c[i][j],val);
	}
	int Get_Ans(int x,int y)
	{
		int i,j,re=0;
		for(i=x;i;i-=i&amp;-i)
			for(j=y;j;j-=j&amp;-j)
				re=max(re,c[i][j]);
		return re;
	}
}
int main()
{
	using namespace BIT;
	int i,j;
	for(cin&gt;&gt;n&gt;&gt;k,i=1;i&lt;=n;i++)
	{
		scanf(&quot;%d&quot;,&amp;a[i]);
		max_num=max(max_num,a[i]);
	}
	for(i=1;i&lt;=n;i++)
		for(j=k;~j;j--)
		{
			int temp=Get_Ans(a[i]+j,j+1)+1;
			ans=max(ans,temp);
			Update(a[i]+j,j+1,temp);
		}
	cout&lt;&lt;ans&lt;&lt;endl;
	return 0;
}
</pre>
<p>版权声明：本文博客原创文章。博客，未经同意，不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:24:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>BZOJ 3594 Scoi2014 方波波麦田 树阵的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmD1GY4.html" rel="bookmark">bzoj 3594&colon; &lbrack;Scoi2014&rsqb;方伯伯的玉米田 dp树状数组优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3594: [Scoi2014]方伯伯的玉米田 Time Limit: 60 Sec  Memory Limit: 128 MBSubmit: 314  Solved: 132[Submit][Status] Description 方伯伯在自己的农田边散步,他突然发现田里的一排玉米非常的不美.这排玉米一共有N株,它们的高度参差不齐.方伯伯认为单调不下降序列很美,所以他决定先把一些玉米拔高,再把破坏美感的玉米拔除掉,使得剩下的玉米的高度构成一个单调不下降序列.方伯伯可以选择一个区间,把这个区间的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49vDgJM.html" rel="bookmark">BZOJ 3594&lbrack;Scoi2014&rsqb;方伯伯的玉米田</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题面: 3594: [Scoi2014]方伯伯的玉米田 Time Limit: 60 Sec  Memory Limit: 128 MBSubmit: 1403  Solved: 630[Submit][Status][Discuss] Description 方伯伯在自己的农田边散步,他突然发现田里的一排玉米非常的不美.这排玉米一共有N株,它们的高度参差不齐.方伯伯认为单调不下降序列很美,所以他决定先把一些玉米拔高,再把破坏美感的玉米拔除掉,使得剩下的玉米的高度构成一个单调不下降序列.方伯伯可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGxGGZ0.html" rel="bookmark">BZOJ 3594 &lbrack;Scoi2014&rsqb;方伯伯的玉米田（二维树状数组）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目链接] http://www.lydsy.com/JudgeOnline/problem.php?id=3594 [题目大意] 给出一个数列,选出k个区间使得区间内数全部加1, 求k次操作之后最长的不下降子序列 [题解] 我们发现,每次的区间右端点一定贪心选到最右端才是最优的, 那么在用树状数组统计的时候,只要一个点被+1了,那么后面的点起码+1, 我们在树状数组后面加一维统计被区间包含的次数,发现也是前缀和关系, 所以用二维树状数组统计答案即可. 为避免自身被重复统计,第二维循环降序.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38WyLK0.html" rel="bookmark">BZOJ 3594 Scoi2014 方伯伯的玉米田 树状数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意:给定一个序列,可以选择k次区间并将区间内每个数都+1,求操作之后LIS的最大值 我的做法不是标解...5E的复杂度为何跑的飞起... 首先一个显而易见的结论就是我们选择的k次区间右端点都是n时才能保证最优 知道这个我们就可以DP了- - 令f[i][j]表示前i个数上升j次的最大LIS 那么有f[i][j]=max{f[k][l]|k&lt;i,l&lt;=j,a[k]+l&lt;=a[i]+j}+1 看到三维偏序就可以用二维树状数组了- - 时间复杂度O(nklog(max(ai)+k)log			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KjJDKM.html" rel="bookmark">bzoj 3594 &lbrack;Scoi2014&rsqb;方伯伯的玉米田（DP&plus;二维BIT）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目链接] http://www.lydsy.com/JudgeOnline/problem.php?id=3594 [题意] 给定一个n个数的序列,有K次将一个区间内的数加1的机会,问最长不下降子序列. [思路] 首先知道每次加1一个区间为[i,n]肯定不会差. 设f[i][j]为前i个数,还有j次机会的LIS,则有转移式: f[i][j] = max{ f[a][b],h[a]+b&lt;=h[i]+j } 则可以用二维BIT加速方程转移. [代码] 1 #include&lt;set&gt; 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xvQWB4.html" rel="bookmark">3594&colon; &lbrack;Scoi2014&rsqb;方伯伯的玉米田</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3594: [Scoi2014]方伯伯的玉米田 Description 方伯伯在自己的农田边散步,他突然发现田里的一排玉米非常的不美.这排玉米一共有N株,它们的高度参差不齐.方伯伯认为单调不下降序列很美,所以他决定先把一些玉米拔高,再把破坏美感的玉米拔除掉,使得剩下的玉米的高度构成一个单调不下降序列.方伯伯可以选择一个区间,把这个区间的玉米全部拔高1单位高度,他可以进行最多K次这样的操作.拔玉米则可以随意选择一个集合的玉米拔掉.问能最多剩多少株玉米,来构成一排美丽的玉米. Input 第1行包含			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02kqrB3.html" rel="bookmark">BZOJ 3595&colon; &lbrack;Scoi2014&rsqb;方伯伯的Oj SBT&plus;可持久化Treap</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3595: [Scoi2014]方伯伯的OjTime Limit: 6 Sec  Memory Limit: 256 MBSubmit: 102  Solved: 54[Submit][Status] Description 方伯伯正在做他的Oj.现在他在处理Oj上的用户排名问题. Oj上注册了n个用户,编号为1-&quot;,一开始他们按照编号排名.方伯伯会按照心情对这些用户做以下四种操作,修改用户的排名和编号: 1．操作格式为1 x y,意味着将编号为z的用户编号改为V,而排名不变,执行完该操作后需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rKLnb4.html" rel="bookmark">BZOJ 3597 SCOI2014 方伯伯送椰子 网络流分析&plus;SPFA</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原题链接:http://www.lydsy.com/JudgeOnline/problem.php?id=3597 Description 四川的方伯伯为了致富,决定引进海南的椰子树.方伯伯的椰子园十分现代化,椰子园中有一套独特的交通系统. 现在用点来表示交通节点,边来表示道路.这样,方伯伯的椰子园就可以看作一个有 n + 2 个交通节点,m条边的有向无环图.n +1 号点为入口,n +2 号点为出口.每条道路都有 6 个参数,ui,vi,ai,bi,ci,di,分别表示,该道路从 ui 号点通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pXJZK4.html" rel="bookmark">bzoj 3597 &lbrack;Scoi2014&rsqb; 方伯伯运椰子 - 费用流 - 二分答案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目传送门 传送门 题目大意 给定一个费用流,每条边有一个初始流量$c_i$和单位流量费用$d_i$,增加一条边的1单位的流量需要花费$b_i$的代价而减少一条边的1单位的流量需要花费$a_i$的代价.要求最小化总费用减少量和调整次数的比值(至少调整一次). 根据基本套路,二分答案,移项,可以得到每条边的贡献. 设第$i$条边的流量变化量为$m_i$,每次变化花费的平均费用为$w_i$.那么有 $\sum c_id_i - \sum (c_i + m_i)d_i + |m_i|(w_i + mi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoDBb0.html" rel="bookmark" class="title">ARM交叉编译工具链分类说明</a>
					<div>
						转载整理自:http://www.veryarm.com/cross-tools 从授权上,ARM交叉编译工具链分为免费授权版和付费授权版. 免费版目前有三大主流工具商提供,第一是GNU(提供源码,自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBqoR0.html" rel="bookmark" class="title">Java关键字</a>
					<div>
						Java的关键字[个人整理] 关键字总览:-----------abstract.assert.boolean.break.byte.case.catch.char.class.continue.de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXPZp0.html" rel="bookmark" class="title">How to parse Xml file -- DOM&excl;</a>
					<div>
						We can see that when we want to use the Dom4j to parse XML , we should import org.dom4j.* At the sam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49bZKDM.html" rel="bookmark" class="title">图表推荐：甘特图与框架图，大数据流向地图重磅来袭！</a>
					<div>
						帆软图表(新特性)最新版本的图表插件新增了甘特图与框架图两种图表类型,大大方便了生产管理所需,同时支持流向地图的大数据模式. 一.甘特图 甘特图又称任务计划进度图,其通常用来表示项目进展随着时间进度的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peYzoM.html" rel="bookmark" class="title">swift闭包 notes http&colon;&sol;&sol;www&period;gittielabs&period;com</a>
					<div>
						Swift Closureshtml, body {overflow-x: initial !important;}.CodeMirror { height: auto; } .CodeMirror- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGJObM.html" rel="bookmark" class="title">vue19  组建 Vue&period;extend  component</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPPyZ0.html" rel="bookmark" class="title">用JS 循环做一个表格</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; &lt;title&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYgPpM.html" rel="bookmark" class="title">感悟&period;学习的方式</a>
					<div>
						前辈,我并不认同,我有我修炼的道路.道基稳不稳固,这是心的作用,好比你辛辛苦苦,赚了一两银子,和你随意的街上,抢夺了一两银子,购买力是一样的.只是你心里觉得,辛辛苦苦赚来的银子,花起来踏实而已.而掠夺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7nAE0.html" rel="bookmark" class="title">express框架目录结构</a>
					<div>
						. ├── app.js ├── bin │   └── www ├── node_modules │   ├── body-parser │   ├── cookie-parser │   ├──  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRxvp4.html" rel="bookmark" class="title">SVG 基础</a>
					<div>
						&lt;!doctype html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt; &lt;meta charset=&quot;UTF-8&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rn7XP0.html" rel="bookmark" class="title">Large&comma; Interconnected Data Belongs to a Database</a>
					<div>
						Large, Interconnected Data Belongs to a Database Diomidis Spinellis iF YOUR APPLiCATiON is going to  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRb7a4.html" rel="bookmark" class="title">玩转autolayout</a>
					<div>
						autoLayout是苹果极力推荐的一种布局方式,因为其可视化的操作和极佳的开发效率而备受推崇.autolayout的功能非常强大,下面就简单说几点 到现在为止,所有的约束都可以用autolayout ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qaq124.html" rel="bookmark" class="title">jenkins下添加HTML Publisher Plugin及配置</a>
					<div>
						1.点击“系统设置”-&gt;“插件管理”,点击可选插件,搜索插件,如下: 2.点击直接安装,等待安装完成,如下: 3.在配置job中,在构建后操作,选择安装的HTML Publisher plugi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyrdZ3.html" rel="bookmark" class="title">贝塞尔曲线 &amp;amp&semi; CAShapeLayer  &amp;amp&semi; Stroke 动画 浅谈</a>
					<div>
						转载自:http://46aae4d1e2371e4aa769798941cef698.devproxy.yunshipei.com/qiaoqiaoqiao2014/article/details/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjOxJM.html" rel="bookmark" class="title">&lbrack;Noi2010&rsqb;Plane 航空管制 贪心</a>
					<div>
						#include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klxDL3.html" rel="bookmark" class="title">iOS完美的网络状态判断工具</a>
					<div>
						大多数App都严重依赖于网络,一款用户体验良好的的app是必须要考虑网络状态变化的.iOSSinger下一般使用Reachability这个类来检测网络的变化. Reachability 这个是苹果开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBj9XgM.html" rel="bookmark" class="title">bootstrop框架-----可见  隐藏</a>
					<div>
						可见框架-像素选择 -block-inline  :块内联元素 -inline-block将对象呈递为内联对象,但是对象的内容作为块对象呈递.旁边的内联对象会被呈递在同一行内,允许空格 可以设置宽度和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQ5Ap3.html" rel="bookmark" class="title">PHP命名空间&lpar;Namespace&rpar;的使用详解&lpar;转&rpar;</a>
					<div>
						对于命名空间,官方文档已经说得很详细[查看],我在这里做了一下实践和总结. 命名空间一个最明确的目的就是解决重名问题,PHP中不允许两个函数或者类出现相同的名字,否则会产生一个致命的错误.这种情况下只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j9eVWM.html" rel="bookmark" class="title">&lbrack;转&rsqb;理解RESTful架构</a>
					<div>
						越来越多的人开始意识到,网站即软件,而且是一种新型的软件. 这种&quot;互联网软件&quot;采用客户端/服务器模式,建立在分布式体系上,通过互联网通信,具有高延时(high latency).高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lD97o0.html" rel="bookmark" class="title">U8SDK&mdash;&mdash;统一闪屏解决方案</a>
					<div>
						很多SDK都明确要求在游戏启动的时候,显示一张含有渠道SDK Logo的一张全屏图片,大概需要显示2至3秒的时间.像UC,百度SDK是在自己的SDK里已经自带了闪屏的功能(一般是在SDK初始化的时候) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
